Tweet & save: tweet a message to receive a 15% discount code instantly. Tweet it now!

Blog

Themify Framework 1.3.3 Updates

Please be advised that all our themes have been updated to framework 1.3.3. We've rebuilt the framework's data structure for better performance. The major change is the theme option panel's config file. The theme-config.xml file has converted to theme-config.php. The theme-config.php file is now localized. This means you can translate the tab labels in Themify panel. The old theme-config.xml or custom-config.xml files will no longer be in use. If you currently have any custom-config.xml file, please re-create a custom-config.php based on theme-config.php.

To upgrade:

You should see the upgrade message on the Themify panel page. Click "Update now" to perform auto upgrade. Note: please ensure you upgrade entire theme, not just the framework.

screenshot

After you upgraded the theme, it will prompt you to update the data. Click on the backup link to backup a copy of your current setting data. Then click "Update Now" button to update the data. All your existing settings data should be converted after the upgrade. If you encounter any issue, please post on our forum or contact us for support.

screenshot

14 Comments

  1. Arlie
    Apr 19, 2013 @ 14:14

    I tried to update and my entire website has disappeared. HELP! Please call me at 210-846-2582.

    Reply

    • Nick La
      Apr 24, 2013 @ 17:40

      It appears to be your server issue. Your site is back now.

      Reply

  2. Dominggo Benigay
    Apr 22, 2013 @ 02:32

    This means you can translate the tab labels in Themify panel. The old theme-config.xml or custom-config.xml files will no longer be in use. If you currently have any custom-config.xml file, please re-create a custom-config.php based on theme-config.php.These is great looking forward to read more.

    Reply

  3. curdaneta
    Apr 23, 2013 @ 15:13

    Any way to update it manually? I can’t see it, I’m running version 1.2.3

    Reply

  4. Tim
    Apr 24, 2013 @ 14:22

    This upgrade is a complete DISASTER!!

    DO NOT UPGRADE!!!

    My site is completely gone! no warning or error message just blank! I can’t get to my log-in or anything!

    I will NEVER use Themify.me again!

    Reply

    • Nick La
      Apr 24, 2013 @ 17:36

      Hi Tim,

      We’ve tested on our servers and many users’ sites. Please submit a ticket on the forum or email us so we can assist you.

      Reply

  5. Kristine
    Apr 24, 2013 @ 19:29

    I use a child theme for all custom css on my site. To upgrade I went back to the original (non child) Full screen theme and did the update, which said “successful”. Then I reactivated the child theme and saw that there was still a message telling: Framework version 1.3.4 is now available. Update now or view the change log for details.
    I clicked update and it said successful, but the message is still there?
    Plus I was never prompted to update the data, which I thought was an important step.
    So as of now I don’t know if I am up to date or not or if I did this right at all.
    Any insights will be greatly appreciated.
    Thanks
    KG

    Reply

    • Nick La
      Apr 24, 2013 @ 23:52

      Framework 1.3.4 is the new version that we just released today: http://themify.me/blog/new-in-themify-framework-1-3-4-google-web-fonts-selection. We’ve added Google Fonts in framework 1.3.4. You only need to perform the data migration once. To check if you are using the latest version, check the version number located on the Themify panel lower left corner.

      Reply

      • Kristine
        Apr 25, 2013 @ 15:38

        Does it matter if I have the child theme I created activated or do I have to revert to the parent theme to do the update to the framework and the theme?

        Reply

  6. Lisa
    May 01, 2013 @ 18:25

    Hi Nick,

    Does this update or the 1.3.4 have everything needed to address the upcoming WordPress 3.6 update, or will there be another Themify update for that?

    Thanks!

    Reply

    • Nick La
      May 08, 2013 @ 17:59

      This is not related with WP 3.6 update.

      Reply

  7. Bert
    May 03, 2013 @ 09:44

    Hi Nick,
    I Don’t see the yellow message in my theme so i mis’t some updates. I have version 1.2.8 en framework 1.3.1. I see that some peaple have problems. What is the best solution to perform the update without having problems.

    Can you please help me, thanks from Bert

    Reply

Reply